## pynpoint 0.8.3

=== Makefile ===
.PHONY: help clean clean-build clean-python clean-test test test-all coverage docs

help:
	@echo "pypi - submit package to the PyPI server"
	@echo "pypi-test - submit package to the TestPyPI server"
	@echo "docs - generate Sphinx documentation"
	@echo "test - run test cases"
	@echo "coverage - check code coverage"
	@echo "clean - remove all artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-python - remove Python artifacts"
	@echo "clean-test - remove test artifacts"

pypi:
	python setup.py sdist bdist_wheel
	twine check dist/*
	twine upload dist/*

pypi-test:
	python setup.py sdist bdist_wheel
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

docs:
	rm -f docs/pynpoint.core.rst
	rm -f docs/pynpoint.readwrite.rst
	rm -f docs/pynpoint.processing.rst
	rm -f docs/pynpoint.util.rst
	sphinx-apidoc -o docs pynpoint
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

test:
	pytest --cov=pynpoint tests

coverage:
	coverage run --rcfile .coveragerc -m py.test
	coverage combine
	coverage report -m
	coverage html

clean: clean-build clean-python clean-test

clean-build:
	rm -rf dist/
	rm -rf build/
	rm -rf htmlcov/
	rm -rf .eggs/
	rm -rf docs/_build

clean-python:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

clean-test:
	rm -f coverage.xml
	rm -f .coverage
	rm -f .coverage.*
	rm -rf .tox/
	rm -rf pynpoint.egg-info/
	rm -f junit-docs-ci.xml
	rm -f junit-py27.xml
	rm -f junit-py36.xml
	rm -f junit-py37.xml
	rm -rf .pytest_cache/

=== requirements.txt ===
astropy ~= 4.0
emcee ~= 3.0
h5py ~= 2.10
numba ~= 0.49
numpy ~= 1.18
opencv-python ~= 4.2
photutils ~= 0.7
PyWavelets ~= 1.1
scikit-image ~= 0.17
scikit-learn ~= 0.22
scipy ~= 1.4
statsmodels ~= 0.11
tqdm ~= 4.46
typeguard ~= 2.7

=== debian/changelog ===
pynpoint (0.8.3-3) unstable; urgency=medium

  * d/control: fix maintainer team address. (Closes: #976324)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Dec 2020 10:30:49 +0100

pynpoint (0.8.3-2) unstable; urgency=medium

  * Source only upload.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Dec 2020 08:00:44 +0100

pynpoint (0.8.3-1) unstable; urgency=low

  * Initial release. (Closes: #923320)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 23 Sep 2020 10:17:03 +0200

=== debian/control ===
Source: pynpoint
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Gürkan Myczko <gurkan@phys.ethz.ch>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3 (>= 3.6),
 python3-astropy,
 python3-emcee,
 python3-ephem,
 python3-h5py,
 python3-numba,
 python3-opencv,
 python3-photutils,
 python3-setuptools,
 python3-skimage,
 python3-sklearn,
 python3-statsmodels,
 python3-typeguard,
 python3-pip
X-Python3-Version: >= 3.6
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian-astro-team/pynpoint.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pynpoint
Homepage: https://github.com/PynPoint/PynPoint

Package: python3-pynpoint
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-zmq,
 python3-opencv
Description: Pipeline for processing and analysis of high-contrast imaging data
 This is a generic, end-to-end pipeline for the data reduction and analysis of
 high-contrast imaging data of planetary and substellar companions, as well as
 circumstellar disks in scattered light.
 .
 The pipeline has a modular architecture with a central data storage in which
 all results are stored by the processing modules. These modules have specific
 tasks such as the subtraction of the thermal background emission, frame
 selection, centering, PSF subtraction, and photometric and astrometric
 measurements. The tags from the central data storage can be written to FITS,
 HDF5, and text files with the available I/O modules.

## pynpoint 0.10.0

=== requirements.txt ===
astropy ~= 4.1.0
emcee ~= 3.0.0
h5py ~= 3.1.0
numba ~= 0.54.0
numpy ~= 1.19.0
opencv-python ~= 4.4.0
photutils ~= 1.1.0
PyWavelets ~= 1.1.0
scikit-image ~= 0.18.0
scikit-learn ~= 0.24.0
scipy ~= 1.5.0
statsmodels ~= 0.12.0
tqdm ~= 4.62.0
typeguard ~= 2.12.0

=== docs/requirements.txt ===
nbsphinx
pandoc
jupyter
sphinx_book_theme

=== debian/changelog ===
pynpoint (0.10.0-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: dropped as it was upstreamed.
  * d/control:
    - updated build-depends python3.
    - added Rules-Requires-Root.
  * Bump standards version to 4.6.0.
  * d/upstream/metadata: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 04 Oct 2021 12:17:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3 (>= 3.6),
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
  python3-astropy,
  python3-emcee,
  python3-ephem,
@@ -22,9 +22,10 @@
  python3-typeguard,
  python3-pip
 X-Python3-Version: >= 3.6
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pynpoint.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pynpoint
+Rules-Requires-Root: no
 Homepage: https://github.com/PynPoint/PynPoint
 
 Package: python3-pynpoint

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo skipping test

## pynpoint 0.11.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-.PHONY: help clean clean-build clean-python clean-test test test-all coverage docs
+.PHONY: help pypi pypi-test test coverage docs clean clean-build clean-python clean-test
 
 help:
-	@echo "pypi - submit package to the PyPI server"
-	@echo "pypi-test - submit package to the TestPyPI server"
+	@echo "pypi - submit to PyPI server"
+	@echo "pypi-test - submit to TestPyPI server"
 	@echo "docs - generate Sphinx documentation"
-	@echo "test - run test cases"
+	@echo "test - run unit tests"
 	@echo "coverage - check code coverage"
 	@echo "clean - remove all artifacts"
 	@echo "clean-build - remove build artifacts"
@@ -26,11 +26,12 @@
 	rm -f docs/pynpoint.processing.rst
 	rm -f docs/pynpoint.util.rst
 	sphinx-apidoc -o docs pynpoint
+	cd docs/
 	$(MAKE) -C docs clean
 	$(MAKE) -C docs html
 
 test:
-	pytest --cov=pynpoint tests
+	pytest --cov=pynpoint/ --cov-report=xml
 
 coverage:
 	coverage run --rcfile .coveragerc -m py.test
@@ -46,6 +47,15 @@
 	rm -rf htmlcov/
 	rm -rf .eggs/
 	rm -rf docs/_build
+	rm -rf docs/tutorials/PynPoint_config.ini
+	rm -rf docs/tutorials/PynPoint_database.hdf5
+	rm -rf docs/tutorials/betapic_naco_mp.hdf5
+	rm -rf docs/tutorials/hd142527_zimpol_h-alpha.tgz
+	rm -rf docs/tutorials/input
+	rm -rf docs/tutorials/.ipynb_checkpoints
+	rm -rf docs/tutorials/*.fits
+	rm -rf docs/tutorials/*.dat
+	rm -rf docs/tutorials/*.npy
 
 clean-python:
 	find . -name '*.pyc' -exec rm -f {} +

=== requirements.txt ===
astropy ~= 5.3.0
emcee ~= 3.1.0
h5py ~= 3.9.0
numba ~= 0.57.0
numpy ~= 1.24.0
opencv-python ~= 4.8.0
photutils ~= 1.9.0
PyWavelets ~= 1.4.0
scikit-image ~= 0.21.0
scikit-learn ~= 1.3.0
scipy ~= 1.11.0
statsmodels ~= 0.14.0
tqdm ~= 4.66.0
typeguard ~= 4.1.0

=== docs/requirements.txt ===
jupyter
nbsphinx
pandoc
sphinx_book_theme

=== debian/changelog ===
pynpoint (0.11.0-7) unstable; urgency=medium

  * Team upload.
  * Fix h5py dependency in existing Debian patch.

 -- Stuart Prescott <stuart@debian.org>  Thu, 18 Dec 2025 12:25:48 +1100

pynpoint (0.11.0-6) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.14 as a supported interpreter by fixing incorrect
    build-dependencies (Closes: #1122460).

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Dec 2025 10:47:10 +1100

pynpoint (0.11.0-5) unstable; urgency=medium

  * d/control: drop versioning of python-h5py build-deps.

 -- Alex Myczko <tar@debian.org>  Fri, 14 Nov 2025 06:12:03 +0100

pynpoint (0.11.0-4) unstable; urgency=medium

  * d/control: bump python version numbers.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Thu, 20 Mar 2025 07:42:01 +0000

pynpoint (0.11.0-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/control: versioned dependency for python3-h5py.
  * d/patches/meh: make sure python3-h5py can be newer. (Closes: #1071053)

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 10:06:38 +0000

pynpoint (0.11.0-2) unstable; urgency=medium

  * d/control: drop python3-numba from Build-Depends temporarily.
    (Closes: #1058478)

 -- Gürkan Myczko <tar@debian.org>  Tue, 06 Feb 2024 07:12:04 +0100

pynpoint (0.11.0-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Thu, 12 Oct 2023 16:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders:
- Gürkan Myczko <gurkan@phys.ethz.ch>,
+ Alex Myczko <tar@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
+ dh-sequence-python3,
+ python3-all:any,
  python3-astropy,
  python3-emcee,
  python3-ephem,
  python3-h5py,
- python3-numba,
+# python3-numba,
  python3-opencv,
  python3-photutils,
  python3-setuptools,
@@ -21,8 +22,8 @@
  python3-statsmodels,
  python3-typeguard,
  python3-pip
-X-Python3-Version: >= 3.6
-Standards-Version: 4.6.0
+X-Python3-Version: >= 3.13
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pynpoint.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pynpoint
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	@echo skipping test

## pynpoint 0.11.1

=== Makefile ===
--- 
+++ 
@@ -2,23 +2,24 @@
 
 help:
 	@echo "pypi - submit to PyPI server"
+	@echo "pypi-check - check the distribution for PyPI"
 	@echo "pypi-test - submit to TestPyPI server"
 	@echo "docs - generate Sphinx documentation"
+	@echo "coverage - check code coverage"
 	@echo "test - run unit tests"
-	@echo "coverage - check code coverage"
-	@echo "clean - remove all artifacts"
-	@echo "clean-build - remove build artifacts"
-	@echo "clean-python - remove Python artifacts"
-	@echo "clean-test - remove test artifacts"
+	@echo "clean - remove artifacts"
 
 pypi:
-	python setup.py sdist bdist_wheel
-	twine check dist/*
+	python -m build
 	twine upload dist/*
 
+pypi-check:
+	python -m build
+	twine check dist/*
+
 pypi-test:
-	python setup.py sdist bdist_wheel
-	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
+	python -m build
+	twine upload -r testpypi dist/*
 
 docs:
 	rm -f docs/pynpoint.core.rst
@@ -39,9 +40,7 @@
 	coverage report -m
 	coverage html
 
-clean: clean-build clean-python clean-test
-
-clean-build:
+clean:
 	rm -rf dist/
 	rm -rf build/
 	rm -rf htmlcov/
@@ -56,14 +55,6 @@
 	rm -rf docs/tutorials/*.fits
 	rm -rf docs/tutorials/*.dat
 	rm -rf docs/tutorials/*.npy
-
-clean-python:
-	find . -name '*.pyc' -exec rm -f {} +
-	find . -name '*.pyo' -exec rm -f {} +
-	find . -name '*~' -exec rm -f {} +
-	find . -name '__pycache__' -exec rm -rf {} +
-
-clean-test:
 	rm -f coverage.xml
 	rm -f .coverage
 	rm -f .coverage.*

=== debian/changelog ===
pynpoint (0.11.1-2) experimental; urgency=medium

  * d/control:
    - build-depend on pybuild-plugin-pyproject.
    - drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Fri, 26 Dec 2025 21:21:02 +0000

pynpoint (0.11.1-1) experimental; urgency=medium

  * New upstream version.
  * d/rules: set SETUPTOOLS_SCM_PRETEND_VERSION.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Fri, 26 Dec 2025 13:53:27 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all:any,
  python3-astropy,
  python3-emcee,
@@ -21,12 +22,11 @@
  python3-sklearn,
  python3-statsmodels,
  python3-typeguard,
- python3-pip
+ python3-pip,
 X-Python3-Version: >= 3.13
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pynpoint.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pynpoint
-Rules-Requires-Root: no
 Homepage: https://github.com/PynPoint/PynPoint
 
 Package: python3-pynpoint

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=0.11.1
 
 %:
 	dh $@ --buildsystem=pybuild
